package com.durant.kafka.constant;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author 冯凯
 * @version 1.0
 * @description:
 * @date 2023/11/25 13:20
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class KafkaConstants {

    public  String topic="top";

    public static final  String BOOSTRAP_SERVERS="117.72.43.22:9092";

    public String partition;

    public static KafkaConstants getBuilder(String topic,String partition){
        return KafkaConstants.builder()
                .topic(topic)
                .partition(partition)
                .build();
    }
}
