package com.durant.mqtt.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * @author 冯凯
 * @version 1.0
 * @description: mqtt配置类
 * @date 2023/11/24 14:24
 */
@Data
@Configuration
@ConfigurationProperties(prefix = "mqtt.config")
public class MqttConfig {

    private String broker;

    private String topic;
}
