package com.durant.mqtt.utils;

import java.math.BigInteger;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

/**
 * @author 冯凯
 * @version 1.0
 * @description:
 * @date 2023/11/27 14:46
 */
public class Md5Util {

    public static   String md5Encrypt(String message) {
        try {
            // 创建MD5消息摘要对象
            MessageDigest md = MessageDigest.getInstance("MD5");

            // 更新消息摘要
            md.update(message.getBytes());

            // 获取摘要结果
            byte[] digest = md.digest();

            // 将字节数组转换为BigInteger类型
            BigInteger bigInt = new BigInteger(1, digest);

            // 将BigInteger类型转换为16进制字符串
            String encryptedMessage = bigInt.toString(16);

            // 补齐前导0直到长度为32
            while (encryptedMessage.length() < 32) {
                encryptedMessage = "0" + encryptedMessage;
            }

            return encryptedMessage;
        } catch (NoSuchAlgorithmException e) {
            e.printStackTrace();
            return null;
        }
    }
}
