package com.durant.mqtt.config;

import com.durant.mqtt.service.MqttService;
import lombok.extern.log4j.Log4j2;
import org.eclipse.paho.client.mqttv3.MqttClient;
import org.eclipse.paho.client.mqttv3.MqttConnectOptions;
import org.eclipse.paho.client.mqttv3.MqttException;
import org.eclipse.paho.client.mqttv3.persist.MemoryPersistence;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.util.UUID;

/**
 * @author 冯凯
 * @version 1.0
 * @description: mqtt客户端
 * @date 2023/11/24 14:26
 */
@Log4j2
@Configuration
public class MqttClientConnect {

    @Autowired
    private MqttService mqttService;
//    @Bean
//    public MqttClient connect(MqttConfig mqttConfig){
//        // 创建一个MqttClient对象并返回
//        MqttClient mqttClient;
//        try {
//            log.info("开始连接:"+System.currentTimeMillis());
//            // 连接MQTT代理服务器
//            mqttClient= new MqttClient(mqttConfig.getBroker(), UUID.randomUUID().toString(),new MemoryPersistence());
//            // 创建MqttConnectOptions对象
//            MqttConnectOptions mqttConnectOptions = new MqttConnectOptions();
//            mqttConnectOptions.setUserName("worker");
//            mqttConnectOptions.setPassword("worker".toCharArray());
//            mqttConnectOptions.setConnectionTimeout(60);
//            mqttConnectOptions.setKeepAliveInterval(60);
//            // 连接MQTT代理服务器
//            mqttClient.connect();
//            // 设置回调函数
//            mqttClient.setCallback(mqttService);
//            // 订阅指定的MQTT主题
//            mqttClient.subscribe(mqttConfig.getTopic(),0);
//        } catch (MqttException e) {
//            throw new RuntimeException(e);
//        }
//        log.info("连接成功:"+System.currentTimeMillis());
//        return mqttClient;
//    }

}
